       #include <unistd.h>
       #include <stdlib.h>
       #include <stdio.h>

       main(int argc, char *argv[])
       {
           int flags; // Номер флага
           int opt;
           int i; // Счетчик

          // функция для печати введенных пользователем слов
          // первый параметр с какого слова ничинать печатать, а второй нужно ли в конце переходить     на новую строку
          void PrintWords(int StartWords, int NewLine)
          {
             // в цикле печатаем все, что ввел пользователь (кроме самой команды и флагов) 
             for (i = StartWords; i < argc; i++)
             {
                 // проверка является ли слово последним
                 if (i == (argc - 1))  
                   // вывод последнего слова без пробела
                   printf("%s", argv[i]);
                 else
                   // вывод i-того слова с пробелом
                   printf("%s ", argv[i]);
              }
             // проверка нужно ли переходить на новую строку
           if (NewLine==1) printf("\n");
          }

           // Обнуление переменной
           flags = 0;
           char *opts = "neE"; // доступные опции

// Отследить вводил ли пользователь дополнительные параметры
           while ((opt = getopt(argc, argv, opts)) != -1) {
               switch (opt) {
               case 'e':
                   flags = 1;
                  // проверяем в каком слове был обнаружен флаг -е
                   if (optind > 2)
                     PrintWords(1,1); // если не сразу после команды то печатаем все слова кроме команды
                   else
                     PrintWords(2,1); 
                   
                   /*  обработка строки на наличие следующих параметров 
                       \\     backslash
                       \a     alert (BEL)
                       \b     backspace
                       \c     produce no further output
                       \f     form feed
                       \n     new line
                       \r     carriage return
                       \t     horizontal tab
                       \v     vertical tab
                   */
                   break;

               // Выполняется если пользователь ввел флаг -E
               case 'E':
                   flags = 2;
                   if (optind > 2) // проверяем в каком слове был обнаружен флаг -E
                      PrintWords(1,1); // если не сразу после команды то печатаем все слова кроме команды
                   else
                      PrintWords(2,1); // печатаем все слова кроме команды и флага, и в конце переходим на новую строку
                   break;

               // Выполняется если пользователь ввел флаг -n
               case 'n':
                   flags = 3;
                   if (optind > 2)  // проверяем в каком слове был обнаружен флаг -n
                     PrintWords(1,1);  // если не сразу после команды то печатаем все слова кроме команды
                   else
                     PrintWords(2,0);  // печатаем все кроме команды, флага, и в конце не переходим на новую строку
                   break;

                 default: 
                   break;
               }
           }
            
           // печатаем все слова кроме команды, в конце переходим на новую строку
           if (flags==0) PrintWords(1,1);

           exit(EXIT_SUCCESS);
       }